# PSF-LoginServer - master - net.psforever.packet.ControlPacketOpcode
PSF - LoginServer - master - net.psforever.packet.ControlPacketOpcode
Keywords: PSF LoginServer master net.psforever.packet.ControlPacketOpcode

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package control
  Definition Classes
    packet
-  package crypto
  Definition Classes
    packet
-  package game
  Definition Classes
    packet
-  package reset
  Definition Classes
    packet
- ControlPacketOpcode
- CryptoPacketOpcode
- GamePacketOpcode
- Marshallable
- PacketCoding
- PacketHelpers
- PacketType
- PlanetSideControlPacket
- PlanetSideCryptoPacket
- PlanetSideGamePacket
- PlanetSidePacket
- PlanetSidePacketFlags
- PlanetSideResetSequencePacket
- ResetSequenceOpcode

o

net.psforever.packet

# ControlPacketOpcode

###

#### object ControlPacketOpcode extends Enumeration

Source
  ControlPacketOpcode.scala

Linear Supertypes
Enumeration, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ControlPacketOpcode
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Type = Value
2.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
4.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val ClientStart: Value
5.  val ConnectionClose: Value
6.  val ControlSync: Value
7.  val ControlSyncResp: Value
8.  val HandleGamePacket: Value
9.  val MultiPacket: Value
10.  val MultiPacketEx: Value
11.  val RelatedA0: Value
12.  val RelatedA1: Value
13.  val RelatedA2: Value
14.  val RelatedA3: Value
15.  val RelatedB0: Value
16.  val RelatedB1: Value
17.  val RelatedB2: Value
18.  val RelatedB3: Value
19.  val ServerStart: Value
20.  val SlottedMetaPacket0: Value
21.  val SlottedMetaPacket1: Value
22.  val SlottedMetaPacket2: Value
23.  val SlottedMetaPacket3: Value
24.  val SlottedMetaPacket4: Value
25.  val SlottedMetaPacket5: Value
26.  val SlottedMetaPacket6: Value
27.  val SlottedMetaPacket7: Value
28.  val TeardownConnection: Value
29.  val Unknown26: Value
30.  val Unknown27: Value
31.  val Unknown28: Value
32.  val Unknown30: Value
33.  val Unknown4: Value
34.  val Unknown6: Value
35.  final def Value(i: Int, name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
36.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
37.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
38.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
39.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
40.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
41.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
42.  implicit val codec: Codec[Value]
43.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
44.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
45.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
46.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
47.  def getPacketDecoder(opcode: Type): (BitVector) => Attempt[DecodeResult[PlanetSideControlPacket]]
48.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
49.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
50.  final def maxId: Int
    Definition Classes
      Enumeration
51.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
52.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
53.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
54.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
55.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
56.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
57.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
58.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
59.  def values: ValueSet
    Definition Classes
      Enumeration
60.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
61.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
62.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
63.  final def withName(s: String): Value
    Definition Classes
      Enumeration
64.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped